Bug 1022673 - nagios-plugins-2.0.3 is available
nagios-plugins-2.0.3 is available
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: nagios-plugins (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Sam Kottler
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-23 14:46 EDT by Upstream Release Monitoring
Modified: 2015-08-22 23:00 EDT (History)
5 users (show)

See Also:
Fixed In Version: 2.0.3-1.el6
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-18 01:14:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Upstream Release Monitoring 2013-10-23 14:46:12 EDT
Latest upstream release: 1.5
Current version/release in Fedora Rawhide: 1.4.16-10.fc21
URL: https://www.nagios-plugins.org/download.html

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 1 Jose Pedro Oliveira 2013-10-23 16:40:22 EDT
Source:
https://www.nagios-plugins.org/doc/news.txt

1.5 2nd October 2013
    ENHANCEMENTS
    New check_dbi plugin for checking an (SQL) database using DBI
    Let OpenSSL load its configuration file (see the OPENSSL_config(3) man page)
    Add performance data to check_apt
    Add performance data to check_procs
    Added -4/-6 options to check_dig (Ville Mattila)
    New check_oracle --connect option to perform real login
    New check_nagios -t option to override the default timeout
    New check_disk -f/--freespace-ignore-reserved option to ignore space reserved for root
    New check_disk -N/--include-type option to limit the filesystem types to check
    Allow for building the plugins in parallel
    Add --without-{dbi,ldap,radius} options to ./configure
    Made Verbose output of check_sensors compliant (Gabriele Tozzi)
    New switch -E/--extended-perfdata for check_http to print additional performance data (Sebastian Nohn)
    New check_http -d option to specify a string to expect within the response headers
    New check_http -J/-K options for client certificate authentication support
    Add support for executing queries to check_pgsql
    Let check_pgsql accept a UNIX socket directory as hostname
    New check_pgsql -o option to specify additional connection parameters
    New check_fping -S option to specify the source IP address
    New check_fping -I option to specify the interface to bind to
    Let check_fping support IPv6
    New check_procs -k option to ignore kernel threads (on Linux)
    Let check_procs use /proc/<PID>/exe (if available) instead of getpid(2), unless -T is specified
    Let check_mysql support SSL
    Let check_mysql add perfromance metrics for all checks
    New check_mysql -f option to specify a client options file
    New check_mysql -g option to specify a client options group
    New check_snmp --offset option to allow for adding/substracting an offset value to sensor data
    Let check_snmp support an arbitrary number of OIDs
    Let check_ide_smart support NetBSD

    FIXES
    Change the MAIL FROM command generated by check_smtp to be RFC compliant
    Fix compilation of check_http without SSL support
    Fix check_snmp reversed threshold ranges (backward-compatibility)
    Fix check_snmp memory violation when using more than 8 oids (Robin Sonefors)
    Fix check_apt security regular expression (Alex Bradley)
    Fix check_http handling extra header (-k) containing semicolons (Richard Leitner)
    Fix check_apt handling unknown exit codes from apt-get (Richard Leitner)
    Fix deprecated imports of check_nmap.py (Fabio Rueda)

    WARNINGS
    check_http behaviour of -k/--header changed since it does not seperate multiple headers by semicolons anymore. Use multiple -k switches instead.
    check_http's --proxy_authorization option is now called --proxy-authorization (it was always documented this way)
    The contrib directory has been removed from this distribution
Comment 2 Jose Pedro Oliveira 2013-10-23 17:21:33 EDT
(In reply to Jose Pedro Oliveira from comment #1)
> Source:
> https://www.nagios-plugins.org/doc/news.txt
> 
> 1.5 2nd October 2013
--[snip]--
>     WARNINGS
--[snip]--
>     The contrib directory has been removed from this distribution

Bummer!  This affects the nagios-plugins-linux-raid plugin as the file 
contrib/check_linux_raid.pl stopped being included.
Comment 3 Jose Pedro Oliveira 2013-10-23 17:58:00 EDT
Committed a first set of changes to the nagios specfile and made a scratch build:

 * rawhide: nagios-plugins-1.5-1.fc21.src.rpm
   http://koji.fedoraproject.org/koji/taskinfo?taskID=6092105


TODO:

 * recheck the commented patches (see specfile changelog)
   * patch 6: the gnulib appears to have been resynced
   * patch 1, 8, 9: patches for contrib/check_linux_raid.pl

 * try to find the new location of the plugin  contrib/check_linux_raid.pl
   (new project?)
Comment 4 Account closed by the user 2013-10-23 19:04:30 EDT
(In reply to Jose Pedro Oliveira from comment #3)

>  * try to find the new location of the plugin  contrib/check_linux_raid.pl
>    (new project?)

It comes from http://www.openfusion.com.au/labs/nagios/


Also, some info from the nagios-plugins site:
"The contrib directory has been removed. These days, sites such as Nagios Exchange[1] and Monitoring Exchange[2] serve as much better places for publishing plugins not maintained by the Nagios Plugins Development Team."

[1] http://exchange.nagios.org/
[2] http://www.monitoringexchange.org/
Comment 5 Jose Pedro Oliveira 2013-10-24 12:01:00 EDT
(In reply to Jose Pedro Oliveira from comment #3)
...
> TODO:
> 
>  * recheck the commented patches (see specfile changelog)
>    * patch 6: the gnulib appears to have been resynced
>    * patch 1, 8, 9: patches for contrib/check_linux_raid.pl
> 
>  * try to find the new location of the plugin  contrib/check_linux_raid.pl
>    (new project?)

Another item for the todo list:

 * ENHANCEMENTS
   New check_dbi plugin for checking an (SQL) database using DBI
Comment 6 Jose Pedro Oliveira 2013-10-24 12:14:50 EDT
(In reply to Xose Vazquez Perez from comment #4)
> (In reply to Jose Pedro Oliveira from comment #3)
> 
> >  * try to find the new location of the plugin  contrib/check_linux_raid.pl
> >    (new project?)
> 
> It comes from http://www.openfusion.com.au/labs/nagios/

Thanks for the link.

check_linux_raid source file locations:

 * http://www.openfusion.com.au/labs/dist/nagios-of-plugins/nagios-of-plugins-0.10.1.tar.gz
 * https://github.com/gavincarr/nagios-of-plugins/
 * https://raw.github.com/gavincarr/nagios-of-plugins/master/check_linux_raid
Comment 7 Jose Pedro Oliveira 2013-10-24 13:34:13 EDT
New rawhide scratch build (with all changes committed):

 * nagios-plugins-1.5-2.fc21.src.rpm
   http://koji.fedoraproject.org/koji/taskinfo?taskID=6095504

Major change:
 * New check_dbi plugin (new RPM: nagios-plugins-dbi; BR: libdbi-devel)
Comment 8 Fedora Admin XMLRPC Client 2013-11-07 00:44:41 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Account closed by the user 2014-04-16 03:13:13 EDT
ping!
Comment 10 Jose Pedro Oliveira 2014-04-16 14:42:03 EDT
Xose,

Sorry but I haven't had much free time in the past few months (job change) to keep track of the nagios-plugins vs monitoring-plugins status. See ticket #1054340 for more details.

/jpo

Relevant tickets:

 * Update upstream URL to https://www.monitoring-plugins.org
   https://bugzilla.redhat.com/show_bug.cgi?id=1054340

 * Review Request: monitoring-plugins - Host/service/network monitoring
   program plugins for a variety of different systems
   https://bugzilla.redhat.com/show_bug.cgi?id=1059281
Comment 12 Account closed by the user 2014-08-11 02:24:49 EDT
DONE: http://koji.fedoraproject.org/koji/buildinfo?buildID=528120

-thanks-
Comment 13 Upstream Release Monitoring 2014-10-17 04:14:47 EDT
Latest upstream release: 2.1
Current version/release in Fedora Rawhide: 2.0.1-2.fc21
URL: http://www.monitoring-plugins.org/download.html

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring Soon this service will be implemented by a new system: https://github.com/fedora-infra/anitya/
It will require to manage monitored projects via a new web interface. Please make yourself familiar with the new system to ease the transition.
Comment 14 Upstream Release Monitoring 2014-12-05 04:15:56 EST
Latest upstream release: 2.1.1
Current version/release in Fedora Rawhide: 2.0.1-2.fc21
URL: http://www.monitoring-plugins.org/download.html

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring Soon this service will be implemented by a new system: https://release-monitoring.org/
It will require to manage monitored projects via a new web interface. Please make yourself familiar with the new system to ease the transition.
Comment 15 Upstream Release Monitoring 2015-07-29 17:37:53 EDT
Latest upstream release: 2.0.3
Current version/release in rawhide: 2.0.1-4.fc23
URL: https://www.nagios.org/download/plugins

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 16 Upstream Release Monitoring 2015-07-29 17:38:09 EDT
Failed to kick off scratch build.

cmd:  sha256sum /var/tmp/thn-Do_FCV/100.0%
return code:  1
stdout:

stderr:
sha256sum: /var/tmp/thn-Do_FCV/100.0%: No such file or directory
Comment 17 Upstream Release Monitoring 2015-08-05 14:48:34 EDT
jwboyer's nagios-plugins-2.0.3-1.fc24 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=675616
Comment 18 Fedora Update System 2015-08-05 14:57:31 EDT
nagios-plugins-2.0.3-1.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/nagios-plugins-2.0.3-1.fc23
Comment 19 Fedora Update System 2015-08-05 14:58:42 EDT
nagios-plugins-2.0.3-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/nagios-plugins-2.0.3-1.fc22
Comment 20 Fedora Update System 2015-08-05 14:59:29 EDT
nagios-plugins-2.0.3-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/nagios-plugins-2.0.3-1.fc21
Comment 21 Fedora Update System 2015-08-05 17:16:46 EDT
nagios-plugins-2.0.3-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/nagios-plugins-2.0.3-1.el7
Comment 22 Fedora Update System 2015-08-05 17:31:07 EDT
nagios-plugins-2.0.3-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nagios-plugins-2.0.3-1.el6
Comment 23 Fedora Update System 2015-08-06 12:00:41 EDT
Package nagios-plugins-2.0.3-1.fc23:
* should fix your issue,
* was pushed to the Fedora 23 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nagios-plugins-2.0.3-1.fc23'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-12853/nagios-plugins-2.0.3-1.fc23
then log in and leave karma (feedback).
Comment 24 Fedora Update System 2015-08-18 01:14:01 EDT
nagios-plugins-2.0.3-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 25 Fedora Update System 2015-08-18 01:22:01 EDT
nagios-plugins-2.0.3-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 26 Fedora Update System 2015-08-18 01:27:53 EDT
nagios-plugins-2.0.3-1.fc23 has been pushed to the Fedora 23 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 27 Fedora Update System 2015-08-22 15:25:02 EDT
nagios-plugins-2.0.3-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 28 Fedora Update System 2015-08-22 23:00:16 EDT
nagios-plugins-2.0.3-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.